For the complete documentation index, see llms.txt. This page is also available as Markdown.

BackupsApi

All URIs are relative to https://mariadb.de-txl.ionos.com/v2

Method
HTTP request
Description

Get /backups/{backupId}

Retrieve Backup

Get /backups

Retrieve all Backups

BackupsFindById

var result BackupRead = BackupsFindById(ctx, backupId)
                      .Execute()

Retrieve Backup

Example

package main

import (
    "context"
    "fmt"
    "os"

    mariadb "github.com/ionos-cloud/sdk-go-bundle/products/mariadb"
    "github.com/ionos-cloud/sdk-go-bundle/shared"
)

func main() {
    backupId := "45ca67fb-8b07-5783-9c97-2d35acceb084" // string | The ID (UUID) of the Backup.

    configuration := shared.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
    apiClient := mariadb.NewAPIClient(configuration)
    resource, resp, err := apiClient.BackupsApi.BackupsFindById(context.Background(), backupId).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `BackupsApi.BackupsFindById``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
    }
    // response from `BackupsFindById`: BackupRead
    fmt.Fprintf(os.Stdout, "Response from `BackupsApi.BackupsFindById`: %v\n", resource)
}

Path Parameters

Name
Type
Description
Notes

ctx

context.Context

context for authentication, logging, cancellation, deadlines, tracing, etc.

backupId

string

The ID (UUID) of the Backup.

Other Parameters

Other parameters are passed through a pointer to an apiBackupsFindByIdRequest struct via the builder pattern

Name

Type

Description

Notes

Return type

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

BackupsGet

Retrieve all Backups

Example

Path Parameters

Other Parameters

Other parameters are passed through a pointer to an apiBackupsGetRequest struct via the builder pattern

Name
Type
Description
Notes

offset

int32

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

[default to 0]

limit

int32

The maximum number of elements to return. Use this parameter together with the offset for pagination.

[default to 100]

filterClusterId

string

The ID (UUID) of the cluster to filter backups by.

Return type

HTTP request headers

  • Content-Type: Not defined

  • Accept: application/json

Last updated

Was this helpful?